#! ruby -Ks
  # (coding: Windows-31J)
require "rubygems"
require "kramdown"
        ## ev[gt@C̍쐬
template_str = <<EOS
<% if RUBY_VERSION >= '1.9'
     enc = @converter.root.options[:encoding]
     enc = Encoding.default_external unless enc
     cset = enc.to_s =~ /windows-31j|cp932|sjis|shift.jis/i ?
         'Shift_JIS' : enc.to_s
   else
     enc = $KCODE.to_s[0,1].downcase
     enc = 'w' unless ['e', 's'].include?(enc)
     cset = {'e'=>'euc-jp', 's'=>'Shift_JIS', 'w'=>'utf-8'}[enc]
   end
%>\
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-type" content="text/html; charset=<%= cset %>" />
<script type="text/javascript"
  src="http://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
</script>
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7">
<% extend ::Kramdown::Utils::Html
title = ''
h = @converter.root.children.find {|c| c.type == :header}
if h
  collector = lambda {|c| c.children.collect {|cc| cc.type == :text ?
  escape_html(cc.value, :text) : collector.call(cc)}.join('')}
  title = collector.call(h)
  title = title.encode(enc) if RUBY_VERSION >= '1.9'
end %>\
<title><%= title %></title>
<meta name="generator" content="kramdown <%= ::Kramdown::VERSION %>" />
</head>
<body>
<%= @body %>
</body>
</html>
EOS
File.open("test.tpl", "w") {|ff|  ff.write template_str}
        ## markdownhtmlϊ
md_str = DATA.read
kdoc = Kramdown::Document.new(md_str, :template=>"test.tpl")
html_str = kdoc.to_html
File.open("test.htm", "w") {|ff|  ff.write html_str}
File.unlink("test.tpl")
puts "'test.htm' o͂܂."
__END__
# ̕\(}XubN𗘗p)

̌vZF $$ \frac{1}{2} + \frac{1}{3} = \frac{3 + 2}{6} = \frac{5}{6} $$

ς̌vZF

$$  = \frac{1}{n}\sum_{i=1}^{n} x_i = \frac{x_1 + x_2 + \cdots + x_n}{n} $$
