#! ruby -Ks
  # (coding: Windows-31J)
require "rubygems"
require "kramdown"
require "nkf"
        ## markdowňeݒ
md_str = <<EOS
# kramdowñ}XubN\n
P̃}XubŃAhLQ̏dˏň͂ށB\n
I[̃hĹAƓsłʂ̍słAsɒuB\n
}XubŃALaTeXɕϊɁAʏA
u\\\\begin\{displaymath\} cc \\\\end\{displaymath\}vň͂܂B
A\\\\beginŎn܂Lq鎞͕ʂłB\n
s̒ɐ荞ނ̂eՂłBQ̃hL
dˏň͂߂΂悢BLq킯ł͂Ȃ́A
hLGXP[vBƒPȂhLƂȂB\n
́AkramdowñhLgɂ鐔̗łB\n
EOS
fml_str = <<'EOS2'
$$
\begin{align*}
  & \phi(x,y) = \phi \left(\sum_{i=1}^n x_ie_i, \sum_{j=1}^n y_je_j \right)
  = \sum_{i=1}^n \sum_{j=1}^n x_i y_j \phi(e_i, e_j) = \\
  & (x_1, \ldots, x_n) \left( \begin{array}{ccc}
      \phi(e_1, e_1) & \cdots & \phi(e_1, e_n) \\
      \vdots & \ddots & \vdots \\
      \phi(e_n, e_1) & \cdots & \phi(e_n, e_n)
    \end{array} \right)
  \left( \begin{array}{c}
      y_1 \\
      \vdots \\
      y_n
    \end{array} \right)
\end{align*}
$$
EOS2
        ## markdownLaTeXϊ
md_str = md_str + fml_str
md_str = NKF.nkf("-m0w", md_str)  # utf-8ɕϊ
kdoc = Kramdown::Document.new(md_str, :template=>'document')
tex_str = kdoc.to_latex
tex_str = NKF.nkf("-m0w", tex_str)  # ȂĂ悢Ô
File.open("test.tex", "w") {|ff|  ff.write tex_str}
puts "'test.tex' o͂܂."
