#! ruby -Ks
  # (coding: Windows-31J)
require "rubygems"
require "kramdown"
        ##
template_str = <<EOS
<% if !$dclass then dclass = '\\documentclass{jarticle}'
   else dclass = $dclass.chomp
   end %>\
<%= dclass %>
\\usepackage{listings}
\\usepackage{hyperref}
<% @converter.data[:packages].each {|pkg| %>\
\\usepackage{<%= pkg %>}
<% } %>\
<% if @converter.data[:packages].include?('fancyvrb') %>\
\\VerbatimFootnotes
<% end %>\
<% if @converter.data[:packages].include?('acronym') %>\
<%   @converter.root.options[:abbrev_defs].each_pair do |k,v| %>\
\\acrodef{<%= @converter.normalize_abbreviation_key(k) %>}[\
<%= k %>]{<%= @converter.escape(v) %>}
<%   end %>\
<% end %>\
\\hypersetup{colorlinks=true,urlcolor=blue}
\\begin{document}
<%= @body %>
\\end{document}
EOS
        ##
template_dir = Kramdown.data_dir
template_file = "document02.latex"
filename = sprintf("%s/%s", template_dir, template_file)
File.open(filename, "w") {|ff|  ff.write template_str}
puts "create a template file: '#{template_file}' in '#{template_dir}'"
