#! ruby -Ks
  # (coding: Windows-31J)
require "rubygems"
require "kramdown"
require "erb"
        ## markdowňe
md_str = <<EOS
# [[^֐\n
[}\zɏoĂ[[^֐F(s)́ARs̋t̘ałB\n
(2) ̒l~̕UŊ̂ɂȂ邱Ƃ
؂̂̓IC[B\n
<%= fml_str %>
* * * * * * * *\n
# [[^֐̌vZvO\n
(2) ۂɌvZrubyXNvgɎB\n
Aɑ݂鎩RSɂČvZ邱Ƃ
łȂ̂ŁAP`T܂łɌČvZĂ݂B\n
~~~~~~~~ ruby
limit = 50000
z = 0.0
1.step(limit,1) {|n| z += 1.0/(n*n).to_f}
puts Math.sqrt(z*6.0)
~~~~~~~~\n
Ȃɉ~ɋ߂lo͂̂ł͂ȂƎvB\n
EOS
        ## [[^֐̎
fml_str = <<'EOS2'
$$
\begin{align}
   \zeta(s) = \sum_{n=1}^\infty \frac{1}{n^{s}}\\
   \zeta(2) = \sum_{n=1}^\infty \frac{1}{n^{2}} = \frac{\pi^{2}}{6}
\end{align}
$$
EOS2
        ## LaTeXɕϊ
$dclass = <<'EOS3'
\documentclass{jsarticle}
\renewcommand{\presectionname}{}
\renewcommand{\postsectionname}{}
EOS3
kdoc = Kramdown::Document.new(ERB.new(md_str).result(binding),
    :template=>'document02')
tex_str = kdoc.to_latex
File.open("test.tex", "w") {|ff|  ff.write tex_str}
puts "'test.tex' o͂܂."
